Package org.apache.sysds.parser

# Enum Class Statement.FederatedPSScheme

java.lang.Object
java.lang.Enum<Statement.FederatedPSScheme>
org.apache.sysds.parser.Statement.FederatedPSScheme

All Implemented Interfaces:
  `Serializable`, `Comparable<Statement.FederatedPSScheme>`, `Constable`

Enclosing class:
  Statement

public static enum Statement.FederatedPSScheme extends Enum<Statement.FederatedPSScheme>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BALANCE_TO_AVG`
`KEEP_DATA_ON_WORKER`
`REPLICATE_TO_MAX`
`SHUFFLE`
`SUBSAMPLE_TO_MIN`

## Method Summary

Modifier and Type
Method
Description
`static Statement.FederatedPSScheme`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.FederatedPSScheme[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### KEEP_DATA_ON_WORKER

public static final Statement.FederatedPSScheme KEEP_DATA_ON_WORKER

### SHUFFLE

public static final Statement.FederatedPSScheme SHUFFLE

### REPLICATE_TO_MAX

public static final Statement.FederatedPSScheme REPLICATE_TO_MAX

### SUBSAMPLE_TO_MIN

public static final Statement.FederatedPSScheme SUBSAMPLE_TO_MIN

### BALANCE_TO_AVG

public static final Statement.FederatedPSScheme BALANCE_TO_AVG

## Method Details

### values

public static Statement.FederatedPSScheme[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Statement.FederatedPSScheme valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null